<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 CERDAN Yohann <cerdanyohann@yahoo.fr>, 2017 Jens Schmietendorf (jens@smedja.com)
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use \TYPO3\CMS\Core\Utility\GeneralUtility as GeneralUtility;

/**
 * tx_newsscheduler_utils
 * Class with some utils functions
 *
 * @author     Jens Schmietendorf
 * @package    TYPO3
 * @subpackage news_scheduler
 */
class tx_newsscheduler_utils {
	/**
	 * Define all the reports
	 *
	 * @return array
	 */

	static public function getTasksList() {
		$tasks = array( 'expirednews' );

		return $tasks;
	}

	/**
	 * Send a email using Swift_Mailer
	 * It depends on the TYPO3 version
	 */

	static public function sendEmail( $to, $subject, $message, $type = 'plain', $fromEmail = '', $fromName = '', $charset = 'utf-8', $files = array() ) {

		$mail = GeneralUtility::makeInstance( 'TYPO3\\CMS\\Core\\Mail\\MailMessage' );
		$mail->setSubject( $subject );
		$mail->setFrom( array( $fromEmail => $fromName ) );
		$mail->setTo( $to );
		$mail->setReplyTo( array( $fromEmail => $fromName ) );

		if ( $type == 'plain' ) {
			$mail->setBody( $message );
		}

		if ( $type == 'html' ) {
			$mail->addPart( $message, 'text/html' );
		}

		return $mail->send();
	}
}